/*!*********************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./frontend/node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].use[1]!./frontend/node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[1].use[2]!./frontend/node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[1].use[3]!./web/app/themes/thuisbakkerswinkel/components/video/src/video.scss ***!
  \*********************************************************************************************************************************************************************************************************************************************************************************************************************/
:root {
  --video-maxW: min(100%, 110rem);
  --video-maxH: min(80vh, 60rem);
}

.twz-video {
  --video-bg: #000;
  overflow: clip;
  text-align: center;
  border-radius: var(--border-radius);
}
.twz-video--responsive {
  margin-inline: auto;
  width: min(100%, var(--video-maxW));
  height: min(100%, var(--video-maxH));
}
.twz-video video {
  display: block;
}
.twz-video :where(iframe, video) {
  height: 100%;
  width: 100%;
  background-color: var(--video-bg);
}

:where(iframe, video) {
  height: var(--video-maxH);
  width: var(--video-maxW);
}
